<?php

$sex = array
(
    -1 => '系统',
    1 => '男',
    2 => '女',
    3 => '中性',
    4 => '全部',
);

return array
(
    # 表名
    'name' => 'avatar',
    # 显示给用户看的名称
    'lang' => '默认头像',
    'order' => -1,

    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order,fulltext',
            'list'      => true,
        ),

        'sex'       => array
        (
            'type'      => 'tinyint-1',
            'name'      => '头像性别',
            'default'   => '4',
            'desc'      => '头像性别',
            'match'     => 'is_numeric',
            'option'    => $sex,
            'update'    => 'radio',
            'list'        => true,
        ),
        
        //search_exist_avatar=yes
        'avatar'        => array
        (
            'type'      => 'varchar-150',
            'name'      => '头像',
            'default'   => '',
            'desc'      => '请选择头像',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '150',
            'list'        => '"{avatar}" ? "<img src=\'{avatar}\' width=\'150\'>": ""',
            //'list'      => 'Dever::load("passport/lib/manage.showAvatar", {id})',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '注册时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),
    
    # request 请求接口定义
    'request' => array
    (
        # 后台搜索用到
        'rand' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'sex' => array('yes', 'in'),
                'state' => 1,
            ),
            'type' => 'one',
            'order' => 'rand()',
            'col' => '*',
        ),
    ),
);
